Skip to main content
Conga Support

Pre-requisites for Using the Composer API

This page applies to: Conga Composer Enterprise Edition

 

Support for the Composer API is not within the scope of standard support. If you need help, please engage Conga Professional Services.

The following are pre-requisites for using the Composer API:

  • User of the Conga APIs must have a Salesforce account and org
  • User does not necessarily have to have Composer installed in their org, but they do need access to one or more document templates that work with Composer.
  • User must install the CongaAPI Connected App into their Salesforce org

To install the package:

  1. Login to your Salesforce org.
  2. In the same browser, navigate to the install link.
  3. Go to the install screen, select Install for All Users.
  4. When the installation is complete, go to Setup > Manage Apps > Connected Apps.  Click Conga API Connect.
  5. Click Edit Policies.
  6. Select Relax IP Restrictions, change Permitted Users to Admin approved users are pre-authorized.
  7. Click Save.

Assign users to the CongaAPI Permission Set:

  1. Go to Manage Users > Permission Sets.
  2. Click the CongaAPI permission set.
  3. Click Manage Assignments.
  4. Click Add Assignments.
  5. Check the box for each user you want to provide access, then click Assign.
  6. Go to Connected Apps > CongaAPI Connect.  Click Manage Profiles, then select System Administrator, then click Save.
  • Was this article helpful?